config:
  target: "http://localhost:3000" # Remplacez par l'URL de votre application
  phases:
    - duration: 60 # Durée du test en secondes
      arrivalRate: 100 # Nombre de connexions par seconde
  defaults:
    headers:
      Content-Type: "application/json"

scenarios:
  - flow:
      - post:
          url: "/api/auth/signout" # Endpoint de déconnexion
          json:
            csrfToken: "test-csrf-token" # Remplacez par un token valide si nécessaire
          capture:
            - json: "$.status"
              as: "status"
      - log: "Déconnexion effectuée avec le statut {{ status }}"
